# Welcome to the Sonnendach Application
## What Sonnendach does:
If you have a list of adresses (in swizerland) you can use the Sonnendach Application to get the following information about those adresses automatic from the website www.sonnendach.ch:
* suitability of the roof
* Screenshot of the roof
* Screenshot of the chart about production
* The personal URL of the adress
* A QR-Code with these URL
* produced Energy with half of roof surface covered – low use
* produced Energy with three quarters of roof surface covered – typical use
* produced Energy with roof surface fully covered – optimum use
* Value in CHF with roof surface fully covered – optimum use



## How Sonnendach works:

### 1. Prepaire a list with a header row and all your adresses in the following rows.
**Create a separate column for each of the following information and fill them out:**
* the name of the street (Street)
* the Number of the house (Number)
* the Postal code (Postal code)
* the Name of the City (City)

**Create a separate column for each of the following information and leave them empty. They will be filled in automatically by the application:**
* Sonnendach URL: the url which results when you look up the respective adress on [sonnendach.ch](sonnendach.ch)
* suitability: the suitability as it is asessed by the federal office of energy on [sonnendach.ch](sonnendach.ch)
* Image Filename Map: the Filename of the screeshot it creates from the map
* Image Filename Production:  Filename of the screenshot it creates from the chart
* Image Filename qrcode: the Filename of the screeshot it creates from the map
* PV Production 50: produced Energy with half of roof surface covered – low use
* PV Production 75: Energy with three quarters of roof surface covered – typical use
* PV Production 100: produced Energy with roof surface fully covered – optimum use
* Value Electricity production: Value in CHF with roof surface fully covered – optimum use

### 2. Save the List in the csv.
For example, you can save the list as a csv file with excel by using the "save as" option to save the file again and selecting csv as the format.
Make sure to use ',' as delimeter character.

### 3. Download and open the Sonnendach Application.
You can download the newest release from [the Release Page.](https://gitea.silias.ch/Silias-Public/Sonnendach/releases)
Just open the Sonnendach_VX.X.exe file.

### 4. Follow the instructions in the Application to start the process
1. First press the button "Select Adresslist file.
2. Select the list you have saved as csv file.
3. Select the headers which you have used in your file for the corresponding columns. **You have to select all headers!**
If a Header / column is missing in your list, press exit and add your the column / header in your file first. After that reopen the application.
4. Press the button "read file"
5. After reading of the file is done press the button "open webbrowser"
6. Wait until a new browser window has opened and the website "sonnendach.ch" is loaded correctly.
7. Press the button "Start process"
8. Watch the status of the programm in the application window. Wait until a new line after "process has started" apears with text "Reached end of list.
9. Close the application with the button "Exit".
10. You will find Screenshots and QR-Codes in automatically created directories where you have saved your Sonnendach_VX.X.exe file.

### 5. Pause or Stop the process
While the process is running you can press the "Exit" Button all the time. If you want to continue the process later, just reopen the application and select the same csv file again. The application will skip all adresses, which have already the "sonnendach url" filled in.

### 6. Search adresses again
If you want to search adresses in your list again, just delete the entry in the column "sonnendach url", open the application again and select the same csv file again. The application will search for those adresses again and also retake the screenshots.

## How Sonnendach was Created:
Sonnendach is an application created by [Silias KLG.](https://www.silias.ch)

In the context of the SolarCity Project from schaffhausen wich took place in the beginning of the year 2022 Maurus Pfalzgraf asked Roman Schenk, if he could write a script to find to create a list with good suited roofs of the city of schaffhausen. So that the City could send letters to the houseowners to tell them about their PV-production potential.

The Sonnendach application is distributed under the [GNU General Public License](https://gitea.silias.ch/Silias-Public/Sonnendach/src/branch/main/LICENSE) as published by the Free Software Foundation
